`timescale 1ns / 1ns
module lcd_tb;

	// Inputs
	reg clk;
 	// Outputs
	wire lcd_e;
	wire lcd_rw;
	wire lcd_rs;
	wire [7:0] lcd_data;

	// Instantiate the Unit Under Test (UUT)
	lcd uut (
		.clk(clk), 
		.lcd_e(lcd_e), 
		.lcd_rw(lcd_rw), 
		.lcd_rs(lcd_rs), 
		.lcd_data(lcd_data)
	);
always @ (clk )
	
	#1 clk <= !clk;	  // NonBlocking 
	
	initial begin
		// Initialize Inputs
		clk = 'b0;
		// nreset <= 'b0; 
		// Wait 100 ns for global reset to finish
		#1000 $stop;
   
	end
      

endmodule

